Skip to content

Usage

GET
/api/v1/cdpbackup/{node_id}/usage/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/cdpbackup/{node_id}/usage/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>'

Returns a node’s CDP Backup storage usage, the figure billed at ₹2.5 or $0.03 per GB of backup storage per month, on top of the flat ₹900/$10 per month license fee.

node_id
required
string

Path parameter node_id.

project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
apikey
required
string

API key used to authenticate the request

Example

<API_KEY>
location
required
string

Location filter for the usage query

Example

<LOCATION>

Successful response

Media typeapplication/json
object
code

HTTP status code of the usage response

integer
data
object
status

Indicates the result status of the usage request

string
error_message

Human-readable error message describing a usage request failure

string
database_backup_enabled

Indicates whether database backups are enabled.

boolean
frequency
object
type

Frequency type of the usage data

string
value
object
hoursOfDay
Array<integer>
startingMinute

The minute of the hour when the frequency period starts.

integer
timezone

Time zone of the usage frequency

string
local_retention_points
object
daily_limit

Maximum number of days data is retained locally

integer
hourly_limit

Maximum number of hourly retention points allowed

integer
weekly_limit

Maximum number of weeks allowed for local retention points

integer
monthly_limit

Maximum number of local retention points allowed per month.

integer
yearly_limit

Annual retention points limit.

integer
next_run_time

Timestamp of the next scheduled run

string
last_run_time

Timestamp of the last run in human-readable format

string
size

Size of the usage data as a human-readable string

string
exclude_file_folder

Path of a file or folder to be excluded from usage calculations

string
compression_type

Specifies the compression algorithm applied to the response data.

string
compression_level

Indicates the level of compression applied to the usage data.

string
is_encryption_applied

Indicates whether encryption was applied to the usage data

boolean
last_task_status
object
task_status

Indicates whether the last task completed successfully

boolean
message

Human-readable status message for the last task

string
failed_date

Date when the last task failed

string
is_window_plan

Indicates whether the usage plan is a window plan.

boolean
active_plan_details
object
plan_id

Identifier of the active plan

integer
plan_name

Name of the active usage plan

string
hourly_interval

Number of hours between each usage reporting interval

integer
is_archived_policy_active

Indicates whether the archived policy is currently active.

boolean
errors
object
message

Status message indicating the result of the request

string

Example

{
"code": 200,
"data": {
"status": "ERROR",
"error_message": "",
"database_backup_enabled": false,
"frequency": {
"type": "HOURLY",
"value": {
"hoursOfDay": [
0
],
"startingMinute": 38
},
"timezone": "UTC"
},
"local_retention_points": {
"daily_limit": 14,
"hourly_limit": 12,
"weekly_limit": 4,
"monthly_limit": 2,
"yearly_limit": 0
},
"next_run_time": "21 July, 2025 18:38",
"last_run_time": "21 July, 2025 14:19",
"size": "6525.0 Bytes",
"exclude_file_folder": "",
"compression_type": "ZLIB",
"compression_level": "LOW",
"is_encryption_applied": false,
"last_task_status": {
"task_status": false,
"message": "Connecting to agent failed",
"failed_date": ""
},
"is_window_plan": false,
"active_plan_details": {
"plan_id": 1,
"plan_name": "Regular Plan",
"hourly_interval": 6
},
"is_archived_policy_active": false
},
"message": "Success"
}